This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 481738 - Review Request: python-EnthoughtBase - Core package for the Enthought Tool Suite
Review Request: python-EnthoughtBase - Core package for the Enthought Tool Suite
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On: 481725
Blocks: 481759 482216
  Show dependency treegraph
 
Reported: 2009-01-27 08:15 EST by Rakesh Pandit
Modified: 2009-07-03 15:52 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0.1-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-08 01:36:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2009-01-27 08:15:08 EST
Description:

The EnthoughtBase project includes a few core packages that are used
by many other projects in the Enthought Tool Suite:

    * enthought.etsconfig: Supports configuring settings that need to
      be shared across multiple projects or programs on the same
      system.

    * enthought.logger: Provides convenience functions for creating
      logging handlers.

    * enthought.util: Provides miscellaneous utility functions.

SPEC: http://rakesh.fedorapeople.org/spec/python-EnthoughtBase.spec
SRPM: http://rakesh.fedorapeople.org/srpm/python-EnthoughtBase-3.0.1-1.fc10.src.rpm

Need for Mayavi
Comment 1 Jason Tibbitts 2009-03-07 18:09:02 EST
Something seems wrong with the SRPM above; I download a 176128 byte file, but rpm 
complains when unpacking it:
error: unpacking of archive failed on file /home/tibbs/work/rpm/python-EnthoughtBase-3.0.1/EnthoughtBase-3.0.1.tar.gz;49b2fe7b: 
cpio: read error: python-EnthoughtBase-3.0.1-1.fc10.src.rpm cannot be installed
Comment 2 Rakesh Pandit 2009-03-07 20:37:37 EST
Ugg, no clue why it happened

Rebuild and uploaded now:
http://rakesh.fedorapeople.org/srpm/python-EnthoughtBase-3.0.1-1.fc10.src.rpm
Comment 3 Jochen Schmitt 2009-03-12 13:35:44 EDT
Good:
+ Base file name of SPEC file fits with package name
+ Package names fits the naming guidelines
+ URL shows on proper project page
+ Package contains most recent version of the application
+ Could download upstream tar ball via spectool -g
+ Package tar ball matches with upstream
(md5sum: cc555fca3d43c6d8d9ad7a5fdf3e74a1)
+ Consistent usage of prm macros
+ Package contains a valid license tag
+ License tag state BSD and LGPLv2+ as valid OSS licenses
* Package contains verbatin copy of the license text
+ Package contains proper BuildRoot defintion
+ Package contains no patches
* Package contains no subpackages
+ Local build works fine
+ Rpmlint is silent on source package
+ Rpmlint is silent on binary package
+ BuildRoot will be cleaned at the beginning of %clean in %install
+ Package contains a %clean stanza
+ Package is build as noarch
+ Local install works fine
+ Local unisntall works fine
+ Koji build works fine
+ File has proper permission
+ File list has no duplicates
+ Files are owned by this package
+ There are no file with are owned by other package
+ %doc stanza is small
+ Package contains proper %changelog

Bad:
- Please delese the *.egg-info directory in the %prep stanza
- I think the License tag should be BSD and/or LGPLv2+ because
util/buid.py refer to both licenses
- I think you should uncompres docs/html.zip and ToolkitSelection 
ito the %doc stanza
Comment 5 Jochen Schmitt 2009-03-17 12:09:00 EDT
Good:
+ License tag contains proper value
+ Egg-info directory was deleted
+ html.zip was uncompressed and included into the %doc stanza

Bad:
- Demo application fails to run
s logger_demo_app]$ python demo.py
Traceback (most recent call last):
  File "demo.py", line 6, in <module>
    from enthought.envisage.ui.workbench.api import WorkbenchApplication
ImportError: No module named envisage.ui.workbench.api
Comment 6 Rakesh Pandit 2009-03-17 13:29:57 EDT
It seems to me these all test cases are wrongly written and whole stack seems to have a circular dependency ... I wouldn't been able to investigate much until next week. Am on holidays -- Thanks -- Will update next week for sure.
Comment 7 Jochen Schmitt 2009-04-23 13:32:31 EDT
Ping rpmandit
Comment 8 Rakesh Pandit 2009-05-02 09:54:23 EDT
https://mail.enthought.com/pipermail/enthought-dev/2009-May/021337.html

Reported this one also upstream and waiting for reason for its failure. it looks like no demo and examples are working correctly.
Comment 9 Rakesh Pandit 2009-05-02 10:03:58 EDT
https://mail.enthought.com/pipermail/enthought-dev/2009-May/021338.html

Confirmed that these demo's and examples are not correctly written. We can ignore this demo run.

These demo's and examples have dependencies with other packages .. even though package does not have those dependencies in actual.

So, we can ignore them.
Comment 10 Rakesh Pandit 2009-05-24 05:34:00 EDT
ping ? :)
Comment 11 Jochen Schmitt 2009-06-03 13:26:15 EDT
Soory, that I'M late.

I thing we can ignore the issue with the demo, but it may be nice to have a README.Fedora file in the package which explains this issues.
Comment 13 Jochen Schmitt 2009-06-04 12:47:29 EDT
It may be nice, if you can changed %default into %global if possible.

But because this is only a monor issue, I will APPROVE your package.
Comment 14 Rakesh Pandit 2009-06-04 22:27:56 EDT
Thanks :) Will change before importing.

New Package CVS Request
=======================
Package Name: python-EnthoughtBase
Short Description: Core package for the Enthought Tool Suite
Owners: rakesh
Branches: F-9 F-10 F-11
InitialCC:
Comment 15 Jason Tibbitts 2009-06-05 17:42:43 EDT
CVS done.
Comment 16 Fedora Update System 2009-06-08 01:27:02 EDT
python-EnthoughtBase-3.0.1-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-EnthoughtBase-3.0.1-3.fc9
Comment 17 Fedora Update System 2009-06-08 01:28:14 EDT
python-EnthoughtBase-3.0.1-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-EnthoughtBase-3.0.1-3.fc10
Comment 18 Fedora Update System 2009-06-08 01:29:10 EDT
python-EnthoughtBase-3.0.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-EnthoughtBase-3.0.1-3.fc11
Comment 19 Fedora Update System 2009-07-03 15:44:16 EDT
python-EnthoughtBase-3.0.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2009-07-03 15:45:08 EDT
python-EnthoughtBase-3.0.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2009-07-03 15:52:20 EDT
python-EnthoughtBase-3.0.1-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.